
Enduro/X Core - Bug #128

Solaris 11 test cases 21 and 28 fails
Status: Closed Start date: 04/21/2017

Priority: Low (Code 5) Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The errors seen in logs are:

user1@solaris11:~/endurox/atmitest/test021_xafull$

(reverse-i-search)`gre': ps -ef | ^Cep ndrx

user1@solaris11:~/endurox/atmitest/test021_xafull$ grep busy *

TM1.log:N:NDRX:3:24916:0000000a:007:20170421:140707985:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:2:24916:0000000a:007:20170421:140707985:autils.c:0968:@TM-2 failed: 7:TPEOS (last error 7: ndrx_mq_receive

 failed: Device busy)

TM1.log:N:NDRX:2:24916:0000000a:007:20170421:140707985:autils.c:0986:Failed to call RM: 7:[7:TPEOS (last error 7:

 ndrx_mq_receive failed: Device busy)]

TM1.log:N:NDRX:2:24916:0000000a:007:20170421:140707985:iutils.c:0310:Failed to open queue

 [/dom1,clt,reply,atmiclt21,24925,0] with error: Device busy

TM1.log:N:NDRX:3:24916:0000000a:007:20170421:140718099:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:2:24916:0000000a:007:20170421:140718099:autils.c:0968:@TM-2 failed: 7:TPEOS (last error 7: ndrx_mq_receive

 failed: Device busy)

TM1.log:N:NDRX:2:24916:0000000a:007:20170421:140718099:autils.c:0986:Failed to call RM: 7:[7:TPEOS (last error 7:

 ndrx_mq_receive failed: Device busy)]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721840:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721841:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721841:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721841:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721841:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721842:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721842:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721842:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721842:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721843:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721843:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721843:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721844:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721844:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721844:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721844:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]
TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721845:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

TM1.log:N:NDRX:3:24916:00000007:008:20170421:140721845:perror.c:0278:_TPset_error_fmt: 7 (TPEOS) [ndrx_mq_receive

 failed: Device busy]

History

#1 - 04/22/2017 09:47 AM - Madars

Reported to Oracle Comunity. Seems that Solaris 11 have undocumented non standard logic or bug with mq_receive() as EBUSY is not according to

standard and not documented by Oracle for particular system call.

The community question is raised here: https://community.oracle.com/thread/4038962

#2 - 06/30/2017 03:01 PM - Madars

Seems like we get same error on Solaris 10 too.

So one option would be just retry the system call in case if we get EBUSY...

#3 - 07/21/2017 12:43 PM - Madars

- Priority changed from Normal (Code 4) to Low (Code 5)

#4 - 09/27/2017 06:33 AM - Madars

- Status changed from New to Resolved

errno.h is not thread safe by default on solaris.

#5 - 09/27/2017 06:33 AM - Madars

- Status changed from Resolved to Closed
